Subject: Re: [patch 37/37] sky2: version 1.6.1

From: Stephen Hemminger <[email-masked]>
Date: Thu, 7 Sep 2006 14:50:36 -0700

On Thu, 7 Sep 2006 23:03:46 +0200
Pavel Machek <[email-masked]> wrote:

> Hi!
> 
> > > > -stable review patch.  If anyone has any objections, please let us know.
> > > > 
> > > > ------------------
> > > > From: Stephen Hemminger <[email-masked]>
> > > > 
> > > > Since this code incorporates some of the fixes from 2.6.18, change
> > > > the version number.
> > > > 
> > > > Signed-off-by: Stephen Hemminger <[email-masked]>
> > > > Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> > > 
> > > Not sure, one of 'stable' criteria is 'fixes bad bug'. What bug does
> > > this fix?
> > 
> > The previous 5 patches changed this driver, so changing the version
> > number of it is acceptable to me.
> 
> Well... I agree that version change is understandable, but it will be
> also surprising for the users, and stable rules were quite strict with
> "must fix obvious bug"...
> 

I get lots of bug reports which are from distro and other kernels
that cherrypick code from stable. How am I supposed to know if it
is a new or old problem?